orte/mca/rmaps/base/rmaps_base_map.h File Reference.TH "orte/mca/rmaps/base/rmaps_base_map.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/rmaps/base/rmaps_base_map.h \- RMAPS framework base functionality. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'include/orte_constants.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/ras/ras_types.h'\fP
.br
\fC#include 'mca/ras/base/ras_base_node.h'\fP
.br
\fC#include 'mca/rmaps/rmaps.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBorte_rmaps_base_node_t\fP \fBorte_rmaps_base_node_t\fP"
.br
.ti -1c
.RI "typedef orte_rmaps_base_proc_t \fBorte_rmaps_base_proc_t\fP"
.br
.ti -1c
.RI "typedef orte_rmaps_base_map_t \fBorte_rmaps_base_map_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBorte_rmaps_base_node_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_rmaps_base_proc_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (orte_rmaps_base_map_t)"
.br
.ti -1c
.RI "int \fBorte_rmaps_base_mapped_node_query\fP (\fBopal_list_t\fP *mapping_list, \fBopal_list_t\fP *nodes_alloc, \fBorte_jobid_t\fP jobid)"
.br
.RI "\fIObtain the mapping for this job, and the list of nodes confined to that mapping. \fP"
.ti -1c
.RI "int \fBorte_rmaps_base_get_map\fP (\fBorte_jobid_t\fP, \fBopal_list_t\fP *mapping)"
.br
.RI "\fIQuery the process mapping from the registry. \fP"
.ti -1c
.RI "int \fBorte_rmaps_base_set_map\fP (\fBorte_jobid_t\fP, \fBopal_list_t\fP *mapping)"
.br
.RI "\fISet the process mapping in the registry. \fP"
.ti -1c
.RI "int \fBorte_rmaps_base_get_node_map\fP (orte_cellid_t, \fBorte_jobid_t\fP, const char *, \fBopal_list_t\fP *mapping)"
.br
.RI "\fIQuery the process mapping for a specified node from the registry. \fP"
.in -1c
.SH "Detailed Description"
.PP 
RMAPS framework base functionality. 


.SH "Function Documentation"
.PP 
.SS "int orte_rmaps_base_mapped_node_query (\fBopal_list_t\fP * mapping_list, \fBopal_list_t\fP * nodes_alloc, \fBorte_jobid_t\fP jobid)"
.PP
Obtain the mapping for this job, and the list of nodes confined to that mapping. 
.PP
Use this instead of orte_ras_base_node_query when past the RMAPS framework since components like the PLS are only conserned with those nodes that they been mapped on, not all of the nodes allocated to their job. In the case where we are allocated 10 nodes from the RAS, but only map to 2 of them then we don't try to launch orteds on all 10 nodes, just the 2 mapped. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
